/* ---------------------------------------------
*   Custom Properties
--------------------------------------------- */
:root {
    --design-width: 1366;
    --contents-width: 900;
    --contents-side-padding: 25;
    --minwidth: calc(var(--contents-width) + var(--contents-side-padding) * 2);
    --root-fz: 16;
    --line-height: 1.5;
    --hover-opacity-ratio: 0.7;
    --hover-duration: .3s;
    --color-base-1: #455056;
    --color-base-1-rgb: 69, 80, 86;
    --color-black-1: #000;
    --color-black-1-rgb: 0, 0, 0;
    --color-white-1: #fff;
    --color-white-1-rgb: 255, 255, 255;
    --color-white-2: #F7F9F9;
    --color-white-2-rgb: 247, 249, 249;
    --color-white-3: #FFFCF8;
    --color-white-3-rgb: 255, 252, 248;
    --color-gray-1: #888B8C;
    --color-gray-1-rgb: 136, 139, 140;
    --color-gray-2: #D3DBDD;
    --color-gray-2-rgb: 211, 219, 221;
    --color-blue-1: #84D1E0;
    --color-blue-1-rgb: 132, 209, 224;
    --color-blue-2: #E4F6F7;
    --color-blue-2-rgb: 228, 246, 247;
    --color-blue-3: #C6EDF4;
    --color-blue-3-rgb: 198, 237, 244;
    --color-blue-4: #D8E8E7;
    --color-blue-4-rgb: 216, 232, 231;
    --color-blue-5: #BEE6EA;
    --color-blue-5-rgb: 190, 230, 234;
    --color-blue-6: #CEEBEF;
    --color-blue-6-rgb: 206, 235, 239;
    --color-blue-7: #0C89E5;
    --color-blue-7-rgb: 12, 137, 229;
    --color-blue-8: #59B0D3;
    --color-blue-8-rgb: 89, 176, 211;
    --color-blue-9: #6191AD;
    --color-blue-9-rgb: 97, 145, 173;
    --color-blue-10: #56C7D6;
    --color-blue-10-rgb: 86, 199, 214;
    --color-blue-11: #5594A5;
    --color-blue-11-rgb: 85, 148, 165;
    --color-blue-12: #E4EDED;
    --color-blue-12-rgb: 228, 237, 237;
    --color-pink-1: #FC838F;
    --color-pink-1-rgb: 252, 131, 143;
    --color-pink-2: #FA969B;
    --color-pink-2-rgb: 250, 150, 155;
    --color-pink-3: #FD7085;
    --color-pink-3-rgb: 253, 112, 133;
    --color-pink-4: #FFD9DF;
    --color-pink-4-rgb: 255, 217, 223;
    --color-grad-1: #45ACED;
    --color-grad-1-rgb: 69, 172, 237;
    --color-grad-2: #7DDFFE;
    --color-grad-2-rgb: 125, 223, 254;
    --color-grad-3: #DEFCFF;
    --color-grad-3-rgb: 222, 252, 255;
    --ff-root: "M PLUS Rounded 1c", sans-serif;
}
@media screen and (max-width: 960px) {
    :root {
        --design-width: 750;
        --contents-width: 700;
        --contents-side-padding: 25;
        --contents-side-padding-2: 50;
        --minwidth: 320;
        --root-fz: 32;
        --line-height: 1.5;
    }
}

/* ---------------------------------------------
*   Universal selector
--------------------------------------------- */
*, *::before, *::after {
    box-sizing: border-box;
}

/* ---------------------------------------------
*   html, body
--------------------------------------------- */
html,
body {
    color: var(--color-base-1);
    font-size: calc(var(--root-fz) * 1px);
    font-family: var(--ff-root);
    -webkit-text-size-adjust: 100%;
}
@media screen and (max-width: 960px) {
    html,
    body {
        font-size: calc(var(--root-fz) / var(--design-width) * 100vw);
    }
}

body {
    line-height: var(--line-height);
}
@media screen and (max-width: 960px) {
    body {
        min-width: calc(var(--minwidth) / var(--design-width) * 100vw);
    }
}

/* ---------------------------------------------
*   <a> tag
--------------------------------------------- */
a {
    color: inherit;
    text-decoration: none;
    cursor: pointer;
}

/* ---------------------------------------------
*   <img> tag
--------------------------------------------- */
img {
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
}

/* ---------------------------------------------
*   <hr> tag as anchor target
--------------------------------------------- */
hr[id^=anchor-] {
    display: block;
    width: auto;
    height: 0;
    padding: calc(var(--fixed-header-height) * 1px) 0 0 0;
    border: 0;
    margin: calc(var(--fixed-header-height) * -1px) 0 0 0;
    background: 0;
    pointer-events: none;
}